// SPDX-License-Identifier: MIT

pragma solidity ^0.8.19;

contract TornadoAddresses {
    function getENSAddress() internal pure returns (address) {
        return 0x00000000000C2E074eC69A0dFb2997BA6C7d2e1e;
    }

    function getTornTokenAddress() internal pure returns (address) {
        return 0x77777FeDdddFfC19Ff86DB637967013e6C6A116C;
    }

    function getMultisigAddress() internal pure returns (address) {
        return 0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4;
    }

    function getGovernanceProxyAddress() internal pure returns (address) {
        return 0x5efda50f22d34F262c29268506C5Fa42cB56A1Ce;
    }

    function getStakingProxyAddress() internal pure returns (address) {
        return 0x5B3f656C80E8ddb9ec01Dd9018815576E9238c29;
    }

    function getRegistryProxyAddress() internal pure returns (address) {
        return 0x58E8dCC13BE9780fC42E8723D8EaD4CF46943dF2;
    }
}
